
TYPO3.Flow - Bug # 31773

Status: Resolved Priority: Should have
Author: Johannes K Category: MVC
Created: 2011-11-12 Assigned To: Johannes K
Updated: 2011-11-14 Due date:
PHP Version:
Has patch: Yes
Complexity: no-brainer
Affected Flow version: FLOW3 1.0.0
Subject: Query Parameter "_" triggers Notice "Uninitialized string offset: 1" 
Description

If FLOW3 gets a Request with a parameter named "_" the code check for an internal argument in
TYPO3\FLOW3\MVC\Web\Request::setArgument() fails with a PHP Notice: Uninitialized string offset: 1 in line 362

http://flow3.localhost/?_=123

This happens e.g. in jQuery ajax calls do to avoid caching

Associated revisions
Revision 69f35424 - 2011-11-14 13:34 - Johannes K

[BUGFIX] Allow usage of query parameter "_"

Assert that the length of $argumentName is >= 2 before accessing it at
position 1

Fixes: #31773
Releases: 1.0, 1.1
Change-Id: I87927e66831c20f06acfa506c9e222635faa33b2

Revision dfebde27 - 2011-11-16 14:08 - Johannes K

[BUGFIX] Allow usage of query parameter "_"

Assert that the length of $argumentName is >= 2 before accessing it at
position 1

Change-Id: I1287df30e859a989d7edbef62d4c803bcb4cfde1
Fixes: #31773
Releases: 1.0, 1.1

History
#1 - 2011-11-12 14:51 - Bastian Waidelich
- Status changed from New to Accepted

Good catch! Should I take care?
#2 - 2011-11-12 15:04 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I87927e66831c20f06acfa506c9e222635faa33b2 has been pushed to the review server.
It is available at http://review.typo3.org/6641

#3 - 2011-11-12 15:07 - Johannes K

Too late ;)

#4 - 2011-11-12 18:39 - Mr. Hudson

Patch set 2 of change I87927e66831c20f06acfa506c9e222635faa33b2 has been pushed to the review server.
It is available at http://review.typo3.org/6641

#5 - 2011-11-14 13:34 - Mr. Hudson

Patch set 3 of change I87927e66831c20f06acfa506c9e222635faa33b2 has been pushed to the review server.
It is available at http://review.typo3.org/6641

#6 - 2011-11-14 19:36 - Johannes K
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:69f35424dca9569054e5dff6c968e1e2c7546b69.
